#!/bin/bash

# params:
# 1 ... to address
TO_ADDRESS=$1
# 2 ... key
KEY=$2
# 3 ... data directory
DATA_DIR=$3
# 4 ... version
VERSION=$4
#5 ... time shift
TIME_SHIFT=$5

REDIRECT_FILE=$DATA_DIR"/"$KEY"/waiting.html"

if [ $VERSION = "debug" ];
then
	ADDRESS="http://cbia.fi.muni.cz/simulator/devel"
else
	ADDRESS="http://cbia.fi.muni.cz/simulator"
fi


if [ ! -e $REDIRECT_FILE ];
then
		  # create html file for redirection and sotre it private directory of current process
		  touch $REDIRECT_FILE
		  chmod 644 $REDIRECT_FILE

		  echo "<html><body>" > $REDIRECT_FILE
		  echo "<form action='$ADDRESS/index.php' method='post' class='running_form' name='running_form' enctype='multipart/form-data'>" >> $REDIRECT_FILE
		  echo "<input type='hidden' name='key' id='key' value='$KEY'/>" >> $REDIRECT_FILE
		  echo "<input type='hidden' name='total_time' id='total_time' value='$TIME_SHIFT'/>" >> $REDIRECT_FILE
		  echo "<input type='hidden' name='optigen_time' id='optigen_time' value='0'/>" >> $REDIRECT_FILE
		  echo "<input type='hidden' name='acquigen_time' id='acquigen_time' value='0'/>" >> $REDIRECT_FILE
		  echo "<script type='text/javascript' language='JavaScript' charset='UTF-8'/>" >> $REDIRECT_FILE
		  echo "setTimeout('document.running_form.submit()', 0)" >> $REDIRECT_FILE
		  echo "</script> </form> </body> </html>" >> $REDIRECT_FILE 
		 
		  # send notification e-mail
		  echo "go to: $ADDRESS/$DATA_DIR/$KEY/waiting.html" | mail -s "CytoPacq notification" $TO_ADDRESS -- -f"cbia-info@fi.muni.cz"
fi

